### Callable

- open(path: PathLike, flags: string | number, mode: string | number | undefined | null, callback: function): void
- open(path: PathLike, flags: string | number, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:936

  Asynchronous open(2) - open and possibly create a file.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### flags: string | number

  - ##### mode: string | number | undefined | null

    A file mode. If a string is passed, it is parsed as an octal integer. If not supplied, defaults to `0o666`.

  - ##### callback: function

    - - (err: ErrnoException, fd: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### fd: number

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:942

  Asynchronous open(2) - open and possibly create a file. If the file is created, its mode will be `0o666`.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### flags: string | number

  - ##### callback: function

    - - (err: ErrnoException, fd: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### fd: number

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(path: PathLike, flags: string | number, mode?: string | number | null): Promise<number>

- - Defined in node_modules/@types/node/fs.d.ts:951

  Asynchronous open(2) - open and possibly create a file.

  #### Parameters

  - ##### path: PathLike

    A path to a file. If a URL is provided, it must use the `file:` protocol.

  - ##### flags: string | number

  - ##### Optional mode: string | number | null

    A file mode. If a string is passed, it is parsed as an octal integer. If not supplied, defaults to `0o666`.

  #### Returns Promise<number>

Generated using TypeDoc